//
// Written by Fyodor Menshikov 23.03.2007
// 6:50-6:53
//

import java.io.*;
import java.util.*;

public class Main {

   Scanner in;
   PrintWriter out;

   Main() {
      try {
         in = new Scanner(System.in);
         out = new PrintWriter(System.out);
      } catch (Exception e) {
         throw new Error();
      }
   }

   void run() {
      int n = in.nextInt();
      int d = 2;
      int ans = 1;
      while (true) {
         if (n == 1) {
            break;
         }
         if (d * d > n) {
            ans *= 3;
            break;
         }
         int count = 0;
         while (n % d == 0) {
            n /= d;
            count++;
         }
         ans *= count * 2 + 1;
         d++;
      }
      out.println(ans);
      out.close();
   }

   public static void main(String args[]) {
      new Main().run();
   }
}